%define url_ver %(echo %{version} | cut -d. -f1,2)

%define _exclude_files_from_autoprov	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A weather plugin for the Xfce panel
Name:		xfce4-weather-plugin
Version:	0.8.3
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-weather-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/%{url_ver}/%{name}-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
#Optional
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
Requires:	xfce4-panel

%description
This panel plugin shows the current temperature and weather condition, 
using weather data provided by the Norwegian Meteorological Institute.

%prep
%setup -q
%apply_patches

%build
# (wally) use my account for geonames service
export GEONAMES_USERNAME=wally_mageia
%configure2_5x
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_datadir}/xfce4/weather/
%{_datadir}/xfce4/panel/plugins/weather.desktop
%{_libdir}/xfce4/panel/plugins/libweather.so
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.3-3.mga4
+ Revision: 535068
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 wally <wally> 0.8.3-2.mga4
+ Revision: 480937
- set GEONAMES_USERNAME configure option for the GeoNames web service

* Sun May 26 2013 wally <wally> 0.8.3-1.mga4
+ Revision: 427884
- new version 0.8.3

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 386881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + wally <wally>
    - exclude plugin .so from provides

* Thu Sep 13 2012 wally <wally> 0.8.2-1.mga3
+ Revision: 293690
- new version 0.8.2
- drop patches from upstream

* Mon Aug 13 2012 wally <wally> 0.8.1-3.mga3
+ Revision: 281144
- add a patch from upstream git to clear scrollbox labels before updating conditions (xfce#9210)

* Tue Aug 07 2012 wally <wally> 0.8.1-2.mga3
+ Revision: 279732
- add a patch from upstream git to fix a crash in summary window

* Mon Aug 06 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 279501
- new version 0.8.1

* Mon Jul 23 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 273701
- new version 0.8.0

* Sat Jul 21 2012 wally <wally> 0.7.4-6.git20120721.1.mga3
+ Revision: 273082
- use latest git snapshot

* Fri Jul 13 2012 wally <wally> 0.7.4-6.git20120713.1.mga3
+ Revision: 270650
- latest git snapshot (without patches added in previous release)

* Mon Jul 02 2012 wally <wally> 0.7.4-6.git20120629.2.mga3
+ Revision: 266760
- add slightly modified scrolled-window-for-small-screens.patch from upstream bugzilla
- rename P0 and add a comment to it"

* Fri Jun 29 2012 wally <wally> 0.7.4-6.git20120629.1.mga3
+ Revision: 265112
- use latest git snapshot with new forecast tab patch from upstream bugzilla (mga#6622)

* Thu May 31 2012 wally <wally> 0.7.4-5.mga3
+ Revision: 252453
- port to libxfce4ui

* Mon May 28 2012 wally <wally> 0.7.4-4.mga3
+ Revision: 248600
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 0.7.4-3.mga2
+ Revision: 190034
- rebuild for new xfce4-panel

* Sun Nov 20 2011 wally <wally> 0.7.4-2.mga2
+ Revision: 169949
- fix expired XOAP license key (patch from arch linux)

* Tue Jul 12 2011 wally <wally> 0.7.4-1.mga2
+ Revision: 123336
- clean .spec
- imported package xfce4-weather-plugin


* Sat Mar 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 644045
- update to new version 0.7.4
- update url for Source0
- tune up buildrequires

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.3-3mdv2011.0
+ Revision: 615651
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-2mdv2010.1
+ Revision: 543443
- rebuild for mdv 2010.1

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.3-1mdv2010.0
+ Revision: 409651
- update to new version 0.7.3

* Wed Jul 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 404018
- update to new version 0.7.2

* Wed Jul 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.1-1mdv2010.0
+ Revision: 398599
- update to new version 0.7.1

* Wed Jun 24 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 388886
- update to new version 0.7.0
- drop patch 0

* Tue Jun 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 386436
- update to new version 0.6.4

* Sun Jun 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 385908
- update to new version 0.6.3
- drop patches 1,2,3,4 and 5, they were merged by upstream

* Thu Jun 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-6mdv2010.0
+ Revision: 385033
- Patch2: better version
- Patch4: fix display orientation
- Patch5: take advantage of new gtk-2.12 tooltips

* Sun Mar 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-5mdv2009.1
+ Revision: 360451
- Patch3: fixes against latest libtool

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-4mdv2009.1
+ Revision: 295033
- rebuild for new Xfce4.6 beta1

* Sat Jun 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-3mdv2009.0
+ Revision: 229726
- Patch1: fix UTF8 encodings
- Patch2: add resolvconf support (upstream bug #4118)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-2mdv2009.0
+ Revision: 194689
- Patch0: save nicely units

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 110578
- new version

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 110143
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING and INSTALL files
- use upstream name
- new license policy
- new version

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-3mdv2008.0
+ Revision: 31037
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 30499
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 30295
- new version

